Servers

List servers

get

List all servers within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers

Create a Server

post

Creates a server within the specified data center. You can also use this request to configure the boot volumes and connect to existing LANs at the same time.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
chevron-right
202

Successful operation

application/json
post
/datacenters/{datacenterId}/servers

Retrieve servers by ID

get

Retrieve information about the specified server within the data center, such as its configuration, provisioning status, and so on.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}

Modify a Server by ID

put

Modifies the properties of the specified server within the data center.

Starting with v5, the 'allowReboot' attribute is retired; while previously required for changing certain server properties, this behavior is now implicit, and the backend will perform this automatically. For example, in earlier versions, when the CPU family is changed, 'allowReboot' had to be set to 'true'; this is no longer required, the reboot will be performed automatically.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
chevron-right
202

Successful operation

application/json
put
/datacenters/{datacenterId}/servers/{serverId}

Delete servers

delete

Delete the specified server in your data center. The attached storage volumes will also be removed if the query parameter is set to true otherwise a separate API call must be made for these actions.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
deleteVolumesbooleanOptional

If true, all attached storage volumes will also be deleted.

Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

delete
/datacenters/{datacenterId}/servers/{serverId}

No content

Partially modify servers

patch

Update the properties of the specified server within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
templateUuidstringOptional

The ID of the template for creating CUBE or GPU servers. If a template has GPU cards assigned, then it can only be used to create GPU servers, otherwise it can only be used for CUBE servers. The available templates can be found on the templates resource.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
namestringOptional

The name of the resource.

Example: My resource
hostnamestringOptional

The hostname of the resource. Allowed characters are a-z, 0-9 and - (minus). Hostname should not start with minus and should not be longer than 63 characters.

Example: myHostname
coresinteger · int32Optional

The total number of cores for the server. It can not be supplied for the VMs that have to be created based on templates.

Example: 4
raminteger · int32Optional

The memory size for the server in MB, such as 2048. Size must be specified in multiples of 256 MB with a minimum of 256 MB; however, if you set ramHotPlug to TRUE then you must use a minimum of 1024 MB. If you set the RAM size more than 240GB, then ramHotPlug will be set to FALSE and can not be set to TRUE unless RAM size not set to less than 240GB. It can not be supplied for the VMs that have to be created based on templates.

Example: 4096
availabilityZonestring · enumOptional

The availability zone in which the server should be provisioned. For CUBE and GPU servers, the only value accepted is 'AUTO'.

Example: AUTOPossible values:
vmStatestring · enumRead-onlyOptional

Status of the virtual machine.

Example: RUNNINGPossible values:
cpuFamilystringOptional

CPU architecture on which server gets provisioned; not all CPU architectures are available in all datacenter regions; available CPU architectures can be retrieved from the datacenter resource; must not be provided for CUBE and VCPU servers. If the field is omitted from the request or the value is empty or null, an available CPU architecture will be automatically selected.

Example: INTEL_ICELAKE
typestringOptional

Server type: CUBE, ENTERPRISE, VCPU or GPU.

Example: CUBE
placementGroupIdstringOptional

The placement group ID that belongs to this server; Requires system privileges, for internal usage only

nicMultiQueuebooleanOptional

Activate or deactivate the Multi Queue feature on all NICs of this server. This feature is beneficial to enable when the NICs are experiencing performance issues (e.g. low throughput). Toggling this feature will also initiate a restart of the server. If the specified value is true, the feature will be activated; if it is not specified or set to false, the feature will be deactivated. It is not allowed for servers of type Cube.

Example: true
maxNetworkBandwidthnumber · floatRead-onlyOptional

The maximum bandwidth in Gbps as specified by NQoS tiers

Example: 6
Responses
chevron-right
202

Successful operation

application/json
patch
/datacenters/{datacenterId}/servers/{serverId}

Get Attached Volumes

get

Lists all volumes attached to the specified server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/volumes

Attach a Volume to a Server

post

Attachs an existing storage volume to the specified server.

You can attach an existing volume in the VDC to a server. To move a volume from one server to another, you must first detach the volume from the first server and attach it to the second server.

It is also possible to create and attach a volume in one step by simply providing a new volume description as a payload. The only difference is the URL; see 'Creating a Volume' for details about volumes.

Note that the combined total of attached volumes and NICs cannot exceed 24 per server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringOptional

The Id of an existing volume that needs to be attached to the server.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
Responses
chevron-right
202

Successful operation

application/json
post
/datacenters/{datacenterId}/servers/{serverId}/volumes

Get Attached Volume by ID

get

Retrieves the properties of the volume attached to the specified server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

volumeIdstringRequired

The unique ID of the volume.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/volumes/{volumeId}

Detach a Volume by ID

delete

Detachs the specified volume from the server.

Note that only the volume's connection to the specified server is disconnected. If you want to delete the volume, you must submit a separate request to perform the deletion.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

volumeIdstringRequired

The unique ID of the volume.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

delete
/datacenters/{datacenterId}/servers/{serverId}/volumes/{volumeId}

No content

Get Attached CD-ROMs

get

Lists all CD-ROMs attached to the specified server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/cdroms

Attach a CD-ROM

post

Attachs a CD-ROM to an existing server specified by its ID.

CD-ROMs cannot be created stand-alone like volumes. They are either attached to a server or do not exist. They always have an ISO-Image associated; empty CD-ROMs can not be provisioned. It is possible to attach up to two CD-ROMs to the same server.

Note that attaching a CD-ROM leads to a reset of the server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
chevron-right
202

Successful operation

application/json
post
/datacenters/{datacenterId}/servers/{serverId}/cdroms

Get Attached CD-ROM by ID

get

Retrieves the properties of the CD-ROM attached to the specified server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

cdromIdstringRequired

The unique ID of the CD-ROM.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/cdroms/{cdromId}

Detach a CD-ROM by ID

delete

Detachs the specified CD-ROM from the server.

Detaching a CD-ROM deletes the CD-ROM. The image will not be deleted.

Note that detaching a CD-ROM leads to a reset of the server.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

cdromIdstringRequired

The unique ID of the CD-ROM.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

delete
/datacenters/{datacenterId}/servers/{serverId}/cdroms/{cdromId}

No content

Reboot servers

post

Force a hard reboot of the specified server within the data center. Don't use this method if you wish to reboot gracefully. This is an equivalent of powering down a computer and turning it back on.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/reboot

No content

Start an Enterprise Server by ID

post

Starts the Enterprise Server specified by its ID.

Note that you cannot use this method to start a Cube Server.

By starting the Enterprise Server, cores and RAM are provisioned, and the billing continues.

If the server's public IPv4 address has been deallocated, a new IPv4 address will be assigned. IPv6 blocks and addresses will remain unchanged when stopping and starting a server.

To check the status of the request, you can use the 'Location' HTTP header in the response (see 'Requests' for more information).

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/start

No content

Stop an Enterprise Server by ID

post

Stops the Enterprise Server specified by its ID.

Note that you cannot use this method to stop a Cube Server.

By stopping the Enterprise Server, cores and RAM are freed and no longer charged.

Public IPv4 IPs that are not reserved are returned to the IPv4 pool. IPv6 blocks and addresses will remain unchanged when stopping and starting a server.

To check the status of the request, you can use the 'Location' HTTP header in the response (see 'Requests' for more information).

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/stop

No content

Suspend a Cube Server by ID

post

Suspends the specified Cubes instance within the data center.

The instance is not deleted and allocated resources continue to be billed. You can perform this operation only for Cube Servers.

To check the status of the request, you can use the 'Location' HTTP header in the response (see 'Requests' for more information).

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/suspend

No content

Resume a Cube Server by ID

post

Resumes a suspended Cube Server specified by its ID.

Since the suspended instance was not deleted the allocated resources continue to be billed. You can perform this operation only for Cube Servers.

To check the status of the request, you can use the 'Location' HTTP header in the response (see 'Requests' for more information).

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/resume

No content

Upgrade a Server by ID

post

Upgrades the server version.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
chevron-right
202

Successful operation

post
/datacenters/{datacenterId}/servers/{serverId}/upgrade

No content

Get JSON Web Token

get

Retrieve a JSON Web Token from the server for use in login operations (such as accessing the server's console).

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/token

Get Remote Console link

get

Retrieve a link with a JSON Web Token for accessing the server's Remote Console.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Responses
get
/datacenters/{datacenterId}/servers/{serverId}/remoteconsole

Last updated

Was this helpful?